Eclipse Draw2d 3.3

## org.eclipse.draw2d.parts
Class ScrollableThumbnail

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.parts.Thumbnail
              org.eclipse.draw2d.parts.ScrollableThumbnail

All Implemented Interfaces:
  IFigure, UpdateListener

    public final class ScrollableThumbnail

extends Thumbnail

A scaled image representation of a Figure. If the source Figure is not completely visible, a SelectorFigure is placed over the thumbnail representing the viewable area and can be dragged around to scroll the source figure.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ScrollableThumbnail()` Creates a new ScrollableThumbnail.
`ScrollableThumbnail(Viewport port)` Creates a new ScrollableThumbnail that synchs with the given Viewport.

Method Summary
`void` `deactivate()` Deactivates this Thumbnail.
`protected void` `setScales(float scaleX, float scaleY)` Reconfigures the SelectorFigure's bounds if the scales have changed.
`void` `setViewport(Viewport port)` Sets the Viewport that this ScrollableThumbnail will synch with.

Methods inherited from class org.eclipse.draw2d.parts.Thumbnail
`getPreferredSize, getScaleX, getScaleY, getSource, getSourceRectangle, getThumbnailImage, isDirty, notifyPainting, notifyValidating, paintFigure, setDirty, setSource`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollableThumbnail

    public ScrollableThumbnail()

  Creates a new ScrollableThumbnail.

### ScrollableThumbnail

    public ScrollableThumbnail(Viewport port)

  Creates a new ScrollableThumbnail that synchs with the given Viewport.

  Parameters:
    `port` - The Viewport

Method Detail

### deactivate

    public void deactivate()

  Description copied from class: `Thumbnail`
  Deactivates this Thumbnail.

  Overrides:
    `deactivate` in class `Thumbnail`
  See Also:
    `Thumbnail.deactivate()`

### setScales

    protected void setScales(float scaleX,
                             float scaleY)

  Reconfigures the SelectorFigure's bounds if the scales have changed.

  Overrides:
    `setScales` in class `Thumbnail`
  Parameters:
    `scaleX` - The X scale
    `scaleY` - The Y scale
  See Also:
    `Thumbnail.setScales(float, float)`

### setViewport

    public void setViewport(Viewport port)

  Sets the Viewport that this ScrollableThumbnail will synch with.

  Parameters:
    `port` - The Viewport

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.